Hear a short sample of a read-aloud voice
curl --request GET \
--url https://pria.praxislxp.com/api/user/tts/previewimport requests
url = "https://pria.praxislxp.com/api/user/tts/preview"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://pria.praxislxp.com/api/user/tts/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"User History
Hear a short sample of a read-aloud voice
Returns a short spoken sample so users can audition a voice from the read-aloud voice pickers before choosing it. The sample is generated with the configured text-to-speech model, cached server-side, and is not billed against credits.
GET
/
api
/
user
/
tts
/
preview
Hear a short sample of a read-aloud voice
Query Parameters
Catalog voice to sample. Defaults to the caller's effective voice.
Response
The spoken sample. MP3 for most speech models; WAV for Grok TTS.
The response is of type file.
Was this page helpful?
Read an assistant response aloud using the configured speech modelGet available tools for the authenticated user
⌘I